// package: v1
// file: cdp-service.proto

/* tslint:disable */

import * as jspb from "google-protobuf";
import * as google_protobuf_timestamp_pb from "google-protobuf/google/protobuf/timestamp_pb";

export class NavigateRequest extends jspb.Message { 
    getApi(): string;
    setApi(value: string): void;

    getUrl(): string;
    setUrl(value: string): void;

    getReferrer(): string;
    setReferrer(value: string): void;

    getTransitiontype(): TransitionType;
    setTransitiontype(value: TransitionType): void;

    getFrameid(): string;
    setFrameid(value: string): void;


    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): NavigateRequest.AsObject;
    static toObject(includeInstance: boolean, msg: NavigateRequest): NavigateRequest.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: NavigateRequest, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): NavigateRequest;
    static deserializeBinaryFromReader(message: NavigateRequest, reader: jspb.BinaryReader): NavigateRequest;
}

export namespace NavigateRequest {
    export type AsObject = {
        api: string,
        url: string,
        referrer: string,
        transitiontype: TransitionType,
        frameid: string,
    }
}

export class NavigateReply extends jspb.Message { 
    getApi(): string;
    setApi(value: string): void;

    getFrameid(): string;
    setFrameid(value: string): void;

    getLoaderid(): string;
    setLoaderid(value: string): void;

    getErrortext(): string;
    setErrortext(value: string): void;


    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): NavigateReply.AsObject;
    static toObject(includeInstance: boolean, msg: NavigateReply): NavigateReply.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: NavigateReply, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): NavigateReply;
    static deserializeBinaryFromReader(message: NavigateReply, reader: jspb.BinaryReader): NavigateReply;
}

export namespace NavigateReply {
    export type AsObject = {
        api: string,
        frameid: string,
        loaderid: string,
        errortext: string,
    }
}

export enum TransitionType {
    LINK = 0,
    TYPED = 1,
    ADDRESS_BAR = 2,
    AUTO_BOOKMARK = 3,
    AUTO_SUBFRAME = 4,
    MANUAL_SUBFRAME = 5,
    GENERATED = 6,
    AUTO_TOPLEVEL = 7,
    FORM_SUBMIT = 8,
    RELOAD = 9,
    KEYWORD = 10,
    KEYWORD_GENERATED = 11,
    OTHER = 12,
}
